/* CSS reset */
div,
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
ul,
li {
	margin: 0;
  	padding: 0;
   	box-sizing: border-box;
}


/* General */
body {
	max-width: 1000px;
	margin: 0 auto;
   	font-family: "Encode Sans", sans-serif;
    font-size: 20px;
}

a {
	color: #000000;
  	text-decoration: none;
}

.heading-line {
  	position: relative;
   	border-style: solid;
    border-color: #454545;
    margin: 20px 0;
    box-sizing: content-box;
    z-index: -10;
}

.page-top {
  	margin-top: 120px;
}

.page-heading {
  	position: relative;
   	background-color: #ffffff;
    top: -1em;
    left: 1em;
    display: inline;
    padding: 0 0.3em;
    font-family: "Cormorant Infant", serif;
    font-size: 50px;
    text-transform: uppercase;
    z-index: -1;
}

.divider {
  	margin: 30px 0;
}

.divider-wrapper {
  	display: flex;
}

.divider-line {
  	width: 100%;
   	height: 2px;
    position: relative;
    margin: 0 15px;
    border-bottom: 2px solid #454545;
}

.divider-icon {
  	width: 30px;
   	height: auto;
    position: relative;
    bottom: 15px;
}

.footer {
  	background-color: #fce5d5;
   	text-align: center;
    padding: 20px;
    font-family: "Cormorant Infant", serif;
}


/* Header with navigation menu */
header {
  	display: flex;
}

.header-logo {
  	width: 150px;
   	height: 150px;
    background-color: white;
    display: inline;
    top: 10px;
    border-radius: 50%;
    padding: 5px;
    z-index: 50;
}

.nav {
  	display: inline-flex;
   	justify-content: space-around;
    max-width: 100%;
    width: 40%;
    height: 4em;
}

.nav-right {
  	float: right;
}

.nav-item {
  	font-family: "Cormorant Infant", serif;
   	font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    display: block;
}

.nav .nav-item {
  	padding: 25px 8px 10px;
}

.current-menu-item {
	background-color: #fce5d5
}


/* Mobile navigation menu */
.mobile-links {
	position: absolute;
	top: 7rem;
	left: 2rem;
	width: 150px;
	height: 250px;
	border: 2px solid black;
	padding: 0.3rem 0;
	background-color: rgba(255, 255, 255, 0.7);
	backdrop-filter: blur(6px);
	line-height: 2;
	z-index: 100;
}

.mobile-links ul {
	list-style-type: none;
	height: 0;
}

.mobile-links li {
	padding: 0 0.5rem;
}

.menu-button {
	display: none;
	width: 30px;
	height: 30px;
	position: relative;
	top: 35px;
	left: 30px;
}

.menu-button-closed img {
	content: url('../images/bars-solid-full.svg');
}

.menu-button-open img {
	content: url('../images/xmark-solid-full.svg');
}

.hidden {
	display: none;
}


/* Front page: carousel */
.carousel img {
	max-width: 100%;
	height: auto;
}


/* Front page: intro */
.intro {
  	display: flex;
   	padding: 30px;
}

.intro-text {
  	margin-right: 80px;
   	line-height: 2;
}

.intro-image {
  	width: 300px;
   	height: 300px;
    border-radius: 50%;
    border: 4px solid #fce5d5;
}


/* Front page: services */
.services {
  	display: flex;
   	justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.card {
  	background-color: #fce5d5;
   	text-align: center;
    text-transform: uppercase;
    width: 30%;
    margin: 10px;
    padding: 5px;
    font-family: "Cormorant Infant", serif;
}

.card-image {
  	max-width: 100%;
   	max-height: auto;
}


/* Front page: contact */
.section-title {
  	font-family: "Cormorant Infant", serif;
   	text-transform: uppercase;
    font-size: 40px;
}

.contact {
  	padding: 30px;
   	margin-bottom: 40px;
    line-height: 2;
}

.contact-info {
  	margin-top: 30px;
}


/* About page */
.profile {
  	width: 80%;
   	margin: 0 auto;
    padding-bottom: 3em;
}

.profile-heading {
  	font-family: "Courgette", sans-serif;
   	font-size: 25px;
    margin-bottom: 1em;
}

.profile-photo {
  	width: 250px;
   	max-width: 300px;
    height: auto;
    margin: 0 0 2em 2em;
    float: right;
    border-radius: 100%;
    background-color: #cccccc;
    border: 6px solid #fce5d5;
}

.profile-text {
  	font-family: "Encode Sans", sans-serif;
   	font-size: 20px;
    line-height: 1.4;
    max-width: 100%;
    display: inline;
}


/* Services page */
.service-item {
  	margin: 0.7em 0;
   	padding: 1.3em;
    clear: both;
    line-height: 1.3;
}

.service-item:nth-child(odd) {
  	background-color: #dfdbdb;
}

.service-item:nth-child(even) {
  	background-color: #ffece3;
}

.service-content {
  	width: 45%;
}

.service-item:nth-child(odd) .service-content {
  	float: right;
}

.service-item:nth-child(even) .service-content {
  	float: left;
}

.service-heading {
  	font-family: "Cormorant Infant", serif;
   	text-transform: uppercase;
    font-size: 30px;
}

.service-photo-container {
  	position: relative;
   	bottom: 0;
    max-width: 54%;
    max-height: 200px;
    margin-top: 10px;
    display: inline-flex;
    justify-content: space-around;
    align-items: baseline;
}

.service-item:nth-child(odd) .service-photo-container {
  	float: left;
}

.service-item:nth-child(even) .service-photo-container {
  	float: right;
}

.service-photo-container img {
  	width: 45%;
}

.service-footer {
  	clear: both;
}


/* References page */
.reference-grid {
  	margin-bottom: 3em;
   	display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.reference-grid a {
  	justify-content: start !important;
}

.reference-card {
  	max-width: 33%;
   	margin: 5px;
    border-radius: 5px;
    padding: 5px;
    background-color: #fce5d5;
    display: flex;
    flex-direction: column;
    text-align: center;
    font-family: "Cormorant Infant", serif;
    height: auto;
}

.reference-card-image {
  	width: 100%;
   	height: auto;
}

.reference-card-image img {
  	max-width: 100%;
   	height: auto;
}

.reference-card-text {
  	max-width: 90%;
   	margin: 0 auto;
    padding: 0.6em 0 0.3em;
    text-transform: uppercase;
}

.wedding-image {
  	margin-bottom: 1em;
   	max-width: 100%;
}

.wedding-text {
  	margin-bottom: 3em;
   	line-height: 2;
}


/* Mobile devices */
@media (max-width: 850px) {
	.header-logo {
		position: relative;
		display: block;
		margin: 0 auto;
		width: 90px;
		height: 90px;
	}

	.nav {
		display: none;
	}

	.menu-button {
		display: inline-block;
	}

	.page-top {
		margin-top: 50px;
	}

	.page-heading {
		font-size: 40px;
		top: -1.1em;
	}

	.intro {
		flex-direction: column-reverse;
		width: 80%;
		align-items: center;
		margin: 0 auto;
		padding: 0;
	}

	.intro-text {
		margin: 0;
		padding: 0;
	}

	.intro-image {
		width: 250px;
		height: 250px;
		margin-bottom: 1rem;
	}

	.services {
		width: 80%;
		margin: 0 auto;
		flex-direction: column;
	}

	.card {
		width: 100%;
		margin-bottom: 1em;
	}

	.card-image, .card-image img{
		max-width: 100%;
	}

	.service-item {
		display: flex;
		flex-direction: column-reverse;
	}

	.service-content {
		width: 100%;
	}

	.service-photo-container {
		max-width: 100%;
		max-height: 600px;
		margin-bottom: 1rem;
	}

	.service-photo-container img {
		width: 100% !important;
	}

	.mobile-hide {
		display: none;
	}

	.reference-grid {
		max-width: 100%;
	}

	.wedding-text {
		width: 80%;
		margin: 3em auto;
	}
}
